# Entity Mappings

This table lists the Entity Mappings fields available in the JPA Details view for each entity type.

Property | Description | Default
--- | --- | ---
Package | The Java package that contains the persistent entities. Click Browse and select the package |
Schema | The database schema that contains the Table. This field corresponds to the `<schema>` element in the `orm.xml` file. |
Catalog | The database catalog that contains the Table. This field corresponds to the `<catalog>` element in the `orm.xml` file. |

Access

Specify the default access method for the variables in the project:

- Property

- Field

This field corresponds to the `<access>` element in the `orm.xml` file.

Related tasks

- Adding persistence to a class

Related reference

- JPA Details view (for entities)